Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsDomainClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.DefaultGrailsDomainClass

All Implemented Interfaces:
  GrailsDomainClass

    @SuppressWarnings("rawtypes")
    public class DefaultGrailsDomainClass
    extends AbstractGrailsClass

Authors:
  Graeme Rocher

Constructor Summary
`DefaultGrailsDomainClass(java.lang.Class clazz, java.util.Map defaultConstraints)` Constructor.
`DefaultGrailsDomainClass(java.lang.Class clazz)` Constructor.

Method Summary
`java.util.Map` | `getAssociationMap()` Retrieves the association map
`java.util.Map` | `getConstrainedProperties()`
`java.lang.String` | `getFieldName(java.lang.String propertyName)`
`GrailsDomainClassProperty` | `getIdentifier()`
`java.util.Map` | `getMappedBy()`
`java.lang.String` | `getMappingStrategy()`
`java.lang.String` | `getName()`
`GrailsDomainClassProperty[]` | `getPersistantProperties()` @see org.codehaus.groovy.grails.commons.GrailsDomainClass#getPersistantProperties()
`GrailsDomainClassProperty[]` | `getPersistentProperties()`
`GrailsDomainClassProperty[]` | `getProperties()`
`GrailsDomainClassProperty` | `getPropertyByName(java.lang.String name)`
`java.lang.String` | `getPropertyName()`
`java.lang.Class` | `getRelatedClassType(java.lang.String propertyName)`
`java.util.Set` | `getSubClasses()`
`Validator` | `getValidator()`
`GrailsDomainClassProperty` | `getVersion()`
`boolean` | `hasPersistentProperty(java.lang.String propertyName)`
`boolean` | `hasSubClasses()`
`boolean` | `isBidirectional(java.lang.String propertyName)`
`boolean` | `isManyToOne(java.lang.String propertyName)`
`boolean` | `isOneToMany(java.lang.String propertyName)`
`boolean` | `isOwningClass(java.lang.Class domainClass)`
`boolean` | `isRoot()`
`void` | `refreshConstraints()`
`void` | `setMappingStrategy(java.lang.String strategy)`
`void` | `setValidator(Validator validator)`

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString

Constructor Detail

### DefaultGrailsDomainClass

    public DefaultGrailsDomainClass(java.lang.Class clazz, java.util.Map defaultConstraints)

  Constructor.
  Parameters:
    clazz
    defaultConstraints

### DefaultGrailsDomainClass

    public DefaultGrailsDomainClass(java.lang.Class clazz)

  Constructor.
  Parameters:
    clazz

Method Detail

### getAssociationMap

    @SuppressWarnings("unchecked")
    public java.util.Map getAssociationMap()

  Retrieves the association map

### getConstrainedProperties

    @SuppressWarnings("unchecked")
    public java.util.Map getConstrainedProperties()

### getFieldName

    public java.lang.String getFieldName(java.lang.String propertyName)

### getIdentifier

    public GrailsDomainClassProperty getIdentifier()

### getMappedBy

    public java.util.Map getMappedBy()

### getMappingStrategy

    public java.lang.String getMappingStrategy()

### getName

    @Override
    public java.lang.String getName()

### getPersistantProperties

    @Deprecated
    public GrailsDomainClassProperty[] getPersistantProperties()

  See Also:
    GrailsDomainClass.getPersistantProperties

### getPersistentProperties

    public GrailsDomainClassProperty[] getPersistentProperties()

### getProperties

    public GrailsDomainClassProperty[] getProperties()

### getPropertyByName

    public GrailsDomainClassProperty getPropertyByName(java.lang.String name)

### getPropertyName

    @Override
    public java.lang.String getPropertyName()

### getRelatedClassType

    public java.lang.Class getRelatedClassType(java.lang.String propertyName)

### getSubClasses

    @SuppressWarnings("unchecked")
    public java.util.Set getSubClasses()

### getValidator

    public Validator getValidator()

### getVersion

    public GrailsDomainClassProperty getVersion()

### hasPersistentProperty

    public boolean hasPersistentProperty(java.lang.String propertyName)

### hasSubClasses

    public boolean hasSubClasses()

### isBidirectional

    public boolean isBidirectional(java.lang.String propertyName)

### isManyToOne

    public boolean isManyToOne(java.lang.String propertyName)

### isOneToMany

    public boolean isOneToMany(java.lang.String propertyName)

### isOwningClass

    public boolean isOwningClass(java.lang.Class domainClass)

### isRoot

    public boolean isRoot()

### refreshConstraints

    public void refreshConstraints()

### setMappingStrategy

    public void setMappingStrategy(java.lang.String strategy)

### setValidator

    public void setValidator(Validator validator)

Groovy Documentation